exportBackupToObjectStorage

Prev Next

Available in VPC

Send Cloud DB for PostgreSQL instance backup files to Object Storage.
To send backup files to Object Storage, Object Storage buckets for storing and searching backup files must be created in advance. For more information, see the Object Storage Guide.

Request

This section describes the request format. The method and URI are as follows:

Method URI
GET | POST /vpostgresql/v2/exportBackupToObjectStorage
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the request headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code
  • Region code of the Cloud DB for PostgreSQL instance that exports the backup file to Object Storage.
  • See getRegionList.
  • First Region of the getRegionList query result.
fileName String Required Backup fie name
bucketName String Required Name of the Object Storage bucket the backup file will be sent to
folderPath String Optional Folder path where backup files will be sent
cloudPostgresqlInstanceNo String Required Cloud DB for PostgreSQL instance number
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The request example is as follows:

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/exportBackupToObjectStorage
?regionCode=KR
&fileName=20210528
&bucketName=bucket***
&folderPath=cloud-db-for-postgresql/
&cloudPostgresqlInstanceNo=****925' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response status codes

For information about the response status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.

Response example

The response example is as follows:

  • If responseFormatType=json
{
    "exportBackupToObjectStorageResponse": {
        "requestId": "5ee62bcc-****-****-****-b826ca85ef50",
        "returnCode": "0",
        "returnMessage": "success"
    }
}
  • If responseFormatType=xml (default)
<?xml version="1.0" encoding="UTF-8"?>
<exportBackupToObjectStorageResponse>
    <requestId>5ee62bcc-****-****-****-b826ca85ef50</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
</exportBackupToObjectStorageResponse>